/*
 * flash_programming_cpu01.h
 *
 *  Created on: 2020. 3. 23.
 *      Author: jhahn
 */

#ifndef FLASH_API_SOURCE_FLASH_PROGRAMMING_CPU01_H_
#define FLASH_API_SOURCE_FLASH_PROGRAMMING_CPU01_H_

#include "Types.h"

void Flash_Programming(void);
void Flash_Error(Fapi_StatusType status);
void Flash_Done(void);
void Flash_CallFlashAPI(void);
//void Flash_write(uint16 *buf, uint16 len);
void Flash_write(void);
void Flash_read(uint32 *Buffer321);
void Flash_erase(void);

#endif /* FLASH_API_SOURCE_FLASH_PROGRAMMING_CPU01_H_ */
